netty 다운로드

Netty에는 필수 외부 종속성이 없습니다. JDK 1.5 (Netty 4+의 경우 1.6) 이상은 Netty를 실행하는 데 필요한 모든 것입니다. Netty는 아파치 라이센스, v2.0에 따라 배포됩니다. 자세한 내용은 동봉된 NOTICE.txt를 참조하십시오. Netty는 모듈식 JDK9 애플리케이션에서 자동 모듈 컬렉션으로 사용할 수 있습니다. 모듈 이름은 역방향 DNS 스타일을 따르며 기록적인 이유로 인해 루트 패키지가 아닌 하위 프로젝트 이름에서 파생됩니다. 다음은 아래에 나열되어 있습니다. JDK 5(3.x의 경우) 또는 6(4.0 이상)은 Netty 기반 응용 프로그램을 실행하기에 충분합니다. Netty의 구축 및 개발에 대한 자세한 내용은 개발자 가이드를 참조하십시오. 이 페이지는 매우 기본적인 정보만 제공합니다. Netty는 유지 관리 가능한 고성능 프로토콜 서버 및 클라이언트의 신속한 개발을 위한 비동기 이벤트 기반 네트워크 응용 프로그램 프레임워크입니다. 자동 모듈은 종속성을 선언할 수 있는 수단을 제공하지 않으므로 모듈 정보 파일에 사용된 각 모듈을 별도로 나열해야 합니다.

netty/netty에서 새로운 릴리스에 대한 알림을 원하십니까? 모든 버전의 개발은 이름이 . 동일한 각 분기에서 이루어집니다. 예를 들어, 3.9와 4.0의 개발은 각각 브랜치 `3.9`와 `4.0` 지점에 있습니다. 변경 로그 및 로드맵은 문제 추적기에서 확인할 수 있습니다. 야간 빌드는 CI 서버에서 찾을 수 있습니다. 또한 Maven 스냅샷 리포지토리에서 최신 스냅샷을 가져올 수도 있습니다. 아무 일이 발생하지 않으면, GitHub 바탕 화면을 다운로드하고 다시 시도하십시오. . . 공식 블로그를 구독하거나 트위터에서 @netty_project 팔로우할 수 있습니다.

pom.xml:에 다음 종속성 섹션을 추가합니다.

Udostępnij